import 'vue-router'

declare module 'vue-router' {
  interface RouteMeta {
    permission?: any[]
    role?: any[]
    title: string
    icon?: string
    keepAlive?: boolean
    viewName?: string
  }
}

declare module 'vue-router' {
  interface _RouteRecordBase {
    hidden?: boolean
    menuName?: string
  }
}
